1. DRIVER APP
TRUXCO
  • GENERATION OF ACCESS TOKEN
  • DRIVER APP
    • TEMP
      • TEMPORARY: SILENT NOTIFCATION
    • VALIDATE DEVICE
      POST
    • REQUEST OTP
      POST
    • RESEND OTP
      POST
    • VERIFY OTP
      POST
    • UPDATE BIOMETRIC STATUS
      POST
    • DRIVER DOCUMENTS
      POST
    • UPLOAD DRIVER DOCUMENT
      POST
    • DRIVER TRIP DETAIL
      POST
    • ORDER DETAIL
      POST
    • STORE DRIVER RESPONSE
      POST
    • ORDER PTI DETAIL
      POST
    • UPLOAD PTI IMAGE
      POST
    • REMOVE PTI IMAGE
      POST
    • MARK PTI COMPLETE
      POST
    • DASHBOARD
      POST
    • TRIP ROUTE
      POST
    • FETCH LOAD JOURNEY
      POST
    • SAVE LOAD JOURNEY
      POST
    • SAVE CURRENT COORDINATES
      POST
    • ORDER DOCUMENT LIST
      POST
    • UPLOAD ORDER DOCUMENT
      POST
    • UPDATE PRE TRIP STATUS
      POST
    • TRIP ISSUE CATEGORY
      POST
    • RAISE ISSUE
      POST
    • CREATE MPIN
      POST
    • VERIFY MPIN
      POST
    • FORGOT MPIN
      POST
    • RESET MPIN
      POST
    • CHANGE MPIN
      POST
    • DELETE ORDER DOCUMENT
      POST
    • SEND GENERAL EMAIL
      POST
    • RAISED ISSUE LIST
      POST
    • DOWNLOAD DOCUMENT
      POST
    • SAVE ORDER LATEST LOCATION
      POST
    • START TRIP
      POST
    • COUNTRY LIST
      POST
    • COUNTRY STATE LIST
      POST
    • DRIVER NOTIFICATION LIST
      POST
    • MARK NOTIFICATION AS READ
      POST
  1. DRIVER APP

REQUEST OTP

Develop Env
http://122.160.87.36:9097/accordBackend
Develop Env
http://122.160.87.36:9097/accordBackend
POST
/api/requestOTP
Request OTP API needs to be called only when the showNewDeviceAlert is received as true, when the value is false the system will automatically send the OTP to driver email. The app screen shall be changed to Enter OTP screen. Server Device ID will be fetched from the Validate Device API response.

Request

Body Params application/json

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'http://122.160.87.36:9097/accordBackend/api/requestOTP' \
--header 'Content-Type: application/json' \
--data-raw '{
    "emailId" : "naveen1@gmail.com",
    "serverDeviceId": "DEV260313.1109.000001"
}'
Response Response Example
Success
{
    "responseCode": 200,
    "responseMsg": "Success"
}
Modified at 2026-03-13 12:07:02
Previous
VALIDATE DEVICE
Next
RESEND OTP
Built with